Bug 327881 - Sabayon or sabayon-apply needs a command line option to associate a user to a profile
Sabayon or sabayon-apply needs a command line option to associate a user to a...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 12:06 EDT by Daniel Walsh
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 15:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2007-10-11 12:06:34 EDT
Description of problem:

I would like to ship a sabayon profile with a package I am building.  

I am building an xguest selinux policy package that basically creates an xguest
user account that has very limited privs.  I would like to use sabayon to
further disable apps that the user will not be allowed to run.  I do not think
it is wise to have the spec file editing the /etc/desktop-profiles/users.xml
file directly. ANd would prefer to just execute a command line to setup the
relationship between the user and the profile file.
Comment 1 Daniel Walsh 2007-10-11 15:08:09 EDT
Code is as simple as this.

if __name__ == '__main__':
    from sabayon import userdb

    db = userdb.get_database()
    db.set_profile("xguest", "xguest.zip")
Comment 2 Daniel Walsh 2007-10-12 15:51:06 EDT
I am now doing this directly in my spec file, so probably does not need to be done.

python << _EOF
from sabayon import userdb
db = userdb.get_database()
db.set_profile("xguest", "xguest.zip")
__EOF

Note You need to log in before you can comment on or make changes to this bug.